Loading...
Searching...
No Matches
basis_raw_rep< T >abstract

## Detailed Description

template<class T>
class rheolef::basis_raw_rep< T >

Definition at line 36 of file basis_raw.h.

Inheritance diagram for basis_raw_rep< T >:

## Public Types

typedef reference_element::size_type | size_type
typedef T | value_type
typedef space_constant::valued_type | valued_type

## Public Member Functions

| basis_raw_rep (std::string name="")
void | reset (std::string &name)
virtual | ~basis_raw_rep ()
virtual std::string | family_name () const =0
virtual size_type | degree () const
std::string | name () const
virtual size_type | ndof (reference_element hat_K) const =0
virtual bool | is_hierarchical () const
virtual valued_type | valued_tag () const
const std::string & | valued () const
virtual void | evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< T, Eigen::Dynamic, 1 > &value) const =0
virtual void | grad_evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &value) const =0
void | put (std::ostream &os, reference_element hat_K) const
void | _clear () const

## Static Public Member Functions

static basis_raw_rep * | make_ptr (std::string name)

## Protected Member Functions

void | _initialize_guard (reference_element hat_K) const
virtual void | _initialize (reference_element hat_K) const =0

## Protected Attributes

size_type | _degree
std::array< bool, reference_element::max_variant > | _have_initialize

## Member Typedef Documentation

## size_type

template<class T >

typedef reference_element::size_type size_type

Definition at line 38 of file basis_raw.h.

## value_type

template<class T >

typedef T value_type

Definition at line 39 of file basis_raw.h.

## valued_type

template<class T >

typedef space_constant::valued_type valued_type

Definition at line 40 of file basis_raw.h.

## Constructor & Destructor Documentation

## basis_raw_rep()

template<class T >

basis_raw_rep | ( | std::string | name = `""` | ) |

Definition at line 30 of file basis_raw.cc.

## ~basis_raw_rep()

template<class T >

virtual ~basis_raw_rep | ( |  | ) |

virtual

Definition at line 44 of file basis_raw.h.

## Member Function Documentation

## reset()

template<class T >

void reset | ( | std::string & | name | ) |

## family_name()

template<class T >

virtual std::string family_name | ( |  | ) | const

pure virtual

Implemented in basis_raw_bernstein< T >, basis_raw_dubiner< T >, and basis_raw_monomial< T >.

## degree()

template<class T >

virtual size_type degree | ( |  | ) | const

virtual

Definition at line 48 of file basis_raw.h.

## name()

template<class T >

std::string name | ( |  | ) | const

Definition at line 49 of file basis_raw.h.

## ndof()

template<class T >

virtual size_type ndof | ( | reference_element | hat_K | ) | const

pure virtual

Implemented in basis_raw_bernstein< T >, basis_raw_dubiner< T >, and basis_raw_monomial< T >.

## is_hierarchical()

template<class T >

virtual bool is_hierarchical | ( |  | ) | const

virtual

Reimplemented in basis_raw_bernstein< T >, basis_raw_dubiner< T >, and basis_raw_monomial< T >.

Definition at line 51 of file basis_raw.h.

## valued_tag()

template<class T >

virtual valued_type valued_tag | ( |  | ) | const

virtual

Definition at line 52 of file basis_raw.h.

## valued()

template<class T >

const std::string & valued | ( |  | ) | const

Definition at line 53 of file basis_raw.h.

## evaluate()

template<class T >

virtual void evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< T, Eigen::Dynamic, 1 > & | value
| ) |  | const

pure virtual

Implemented in basis_raw_bernstein< T >, basis_raw_dubiner< T >, and basis_raw_monomial< T >.

## grad_evaluate()

template<class T >

virtual void grad_evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | value
| ) |  | const

pure virtual

Implemented in basis_raw_bernstein< T >, basis_raw_dubiner< T >, and basis_raw_monomial< T >.

## put()

template<class T >

template void put | ( | std::ostream & | os,
|  | reference_element | hat_K
| ) |  | const

Definition at line 30 of file basis_raw_visu_gnuplot.cc.

## make_ptr()

template<class T >

template basis_raw_rep< Float > * make_ptr | ( | std::string | name | ) |

static

Definition at line 31 of file basis_raw_list.cc.

## _clear()

template<class T >

void _clear | ( |  | ) | const

Definition at line 99 of file basis_raw.h.

## _initialize_guard()

template<class T >

void _initialize_guard | ( | reference_element | hat_K | ) | const

protected

Definition at line 90 of file basis_raw.h.

## _initialize()

template<class T >

virtual void _initialize | ( | reference_element | hat_K | ) | const

protected pure virtual

Implemented in basis_raw_bernstein< T >, basis_raw_dubiner< T >, and basis_raw_monomial< T >.

## Member Data Documentation

## _degree

template<class T >

size_type _degree

protected

Definition at line 80 of file basis_raw.h.

## _have_initialize

template<class T >

std::array<bool, reference_element::max_variant> _have_initialize

mutable protected

Definition at line 82 of file basis_raw.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_raw.h
- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_raw.cc
- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_raw_list.cc
- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_raw_visu_gnuplot.cc